package com.muyu.market.server.service.Impl;

import com.alibaba.nacos.common.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.market.admain.Myapi;
import com.muyu.market.admain.request.MyapiListReq;
import com.muyu.market.admain.response.MyapiListResp;
import com.muyu.market.server.mapper.MyapiMapper;
import com.muyu.market.server.service.MyapiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class MyapiServiceImpl extends ServiceImpl<MyapiMapper, Myapi> implements MyapiService {


    @Autowired
    private MyapiMapper myapiMapper;
    @Override
    public List<MyapiListResp> findByMyapiList(MyapiListReq myapiListReq) {


        LambdaQueryWrapper<Myapi> lambdaQueryWrapperlist = new LambdaQueryWrapper<>();
        /**
         * 查询接口名称
         */

        if (StringUtils.isNotBlank( myapiListReq.getName())) {
            lambdaQueryWrapperlist.like( Myapi::getName, myapiListReq.getName());
        }

        List<Myapi> productlist = this.list(lambdaQueryWrapperlist);

        return   productlist.stream()
                .map( MyapiListResp::selProductList)
                .collect(Collectors.toList());


    }


}
